package models

import (
	"time"
)

type CmProjectAccount struct {
	Id                 int       `xorm:"not null pk autoincr comment('自增ID') INT(11)"`
	EnterpriseId       int       `xorm:"comment('企业id') INT(11)"`
	ProjectId          int       `xorm:"comment('项目id') INT(11)"`
	BidsectionIds      string    `xorm:"comment('标段ID组(json)(保留)') TEXT"`
	Account            string    `xorm:"not null comment('账号') VARCHAR(32)"`
	Password           string    `xorm:"not null comment('登录密码') VARCHAR(64)"`
	BackdoorPassword   string    `xorm:"comment('副密码') VARCHAR(255)"`
	AccountGroup       int       `xorm:"comment('所属账号组') TINYINT(4)"`
	Name               string    `xorm:"comment('姓名') VARCHAR(32)"`
	Company            string    `xorm:"comment('公司名称') VARCHAR(64)"`
	Position           string    `xorm:"comment('职位') VARCHAR(32)"`
	LastLogin          time.Time `xorm:"comment('最后登录时间') DATETIME"`
	Role               string    `xorm:"comment('角色') VARCHAR(32)"`
	Mobile             string    `xorm:"comment('手机') VARCHAR(15)"`
	Telephone          string    `xorm:"comment('座机') VARCHAR(15)"`
	CreateTime         time.Time `xorm:"comment('创建时间') DATETIME"`
	IsAdmin            int       `xorm:"comment('是否为管理员 1为管理员') TINYINT(1)"`
	Enable             int       `xorm:"comment('是否启用 1为启用') TINYINT(1)"`
	AuthMobile         string    `xorm:"comment('认证手机') VARCHAR(32)"`
	Permission         string    `xorm:"comment('权限') TEXT"`
	ContractPermission string    `xorm:"comment('合同权限(json)') TEXT"`
	QualityPermission  string    `xorm:"comment('质量巡检权限(json)') TEXT"`
	SafePermission     string    `xorm:"comment('安全巡检权限(json)') TEXT"`
	Cooperation        int       `xorm:"comment('协作') TINYINT(4)"`
	LastNotice         time.Time `xorm:"comment('待办事项，通知') DATETIME"`
	SignPath           string    `xorm:"comment('电子签名图片地址') VARCHAR(512)"`
	SessionToken       string    `xorm:"comment('token信息验证') VARCHAR(128)"`
	SmsType            string    `xorm:"comment('短信通知类型') TEXT"`
	WxType             string    `xorm:"comment('微信通知类型') TEXT"`
	Bind               int       `xorm:"comment('是否已绑定定制项目') TINYINT(1)"`
	WxOpenid           string    `xorm:"comment('微信绑定openid') VARCHAR(64)"`
	WxName             string    `xorm:"comment('微信昵称') VARCHAR(255)"`
}
